Sonarqube Enterprise 9.9 LTS to 9.9.6 LTS

Make sure to tell us:

  • What version are you upgrading from? Sonarqube 9.9 LTS
  • System information RHEL8, Java 17, Postgres 13
  • (Operating system, Java version, Database provider/version)
  • What’s the issue you’re facing? No issue but my Sonarqube instance is Sonarqube 9.9 LTS, upon checking there seems to be a new Sonarqube 9.9.6 LTA. My question is it has been almost a year since I upgraded and from what I understand the 9.9 LTA of yester months is the same as 9.9 LTS. Now I’m upgrading to 9.9.6 LTA, I just wanted to confirm if there’s any special thing that I need to do for my upgrade to be successful? And is 9.9 LTS the N-1 version of 9.9.6 LTA? Meaning there shouldn’t be much of a gap before my upgrade?

Hey there.

LTA is indeed “just” a renamed LTA, and 9.9.1 - 9.9.6 have only introduced changes to stability and security, not to features. There won’t even be a database migration! Just swap out the binaries and config :pray:

For good measure, here’s the upgrade guide.

If the upgrade strategy of my team for Sonarqube is go for the latest LTS (now labeled as LTA) and my instance is currently at 9.9 LTS, will upgrading to Sonarqube 9.9.6 LTA fulfill that requirement or the current 9.9 LTS is still considered the latest LTA version for Sonarqube Enterprise? Thanks!

9.9.0 is the initial release of the LTA.

9.9.6 contains several patch versions of performance/stability/security updates.

All 9.9 releases are the latest LTA, but 9.9.6 is the latest release of this LTA.

Does that make sense?

Like – iOS 17.5 is the latest version of iOS 17, but iOS 17.5.1 is the latest patch version. It’s the same principle.

Thanks @Colin, so even if the instance is at 9.9.0 LTS (LTA) it is still considered as of the moment a supported LTA version of Sonarsource? Staying in 9.9 LTS (LTA) means that the instance is still current and supported by Sonarsource?